Subject: Re: [PATCH] Clarified how "git submodule add" handles relative paths.

From: Mark Levedahl <[email-masked]>
Date: Fri, 03 Jun 2011 22:23:32 -0400

On 06/03/2011 07:16 PM, Junio C Hamano wrote:
> Jens Lehmann<[email-masked]>  writes:
> The "how about this" patch you are voting against (I am neutral by the
> way) is a response to your earlier "I have three use cases and the current
> implementation is forgetting the third", which in turn was a response to
> my "your third use case does not count, so the updated wording of the
> documentation is wrong---it should say 'do not', not 'cannot'".
>
> So what should the updated document say?
>
If I understand this correctly, the third use case isn't actually 
unique: if the upstream repo is on a local file system, why not just use 
a file://... url for the super project's origin?

Mark